
import '../assets/style/personListingData.css';

import Data from './data.component.jsx';

const PersonListingData = ( { persons } ) => {

    const nbPersonsOlderThan = minAge => {
        return persons.filter( person => person.age > minAge ).length ;
    }
    
    const ageList = () => {
        return persons.map( person => person.age );
    }

    return(
        <div className="data">
          <Data label="nb personnes" value={ persons.length } />
          <Data label="âge &gt; 18" value={ nbPersonsOlderThan(18) } />
          <Data label="âge &gt; 50" value={ nbPersonsOlderThan(50) } />
          <Data label="âge du plus jeune&nbsp;" value={ Math.min(...ageList()) } />
          <Data label="âge du plus vieux&nbsp;" value={ Math.max(...ageList()) } />
        </div>
    );
}

export default PersonListingData;